#!/usr/bin/env perl
# by F. Ricca 

# flush after every print
$|=1;

use File::Basename;
use Cwd;
use Cwd 'abs_path';

# Set specific solver 
$solver="/home/aspcomp/run-environment/executables/bpsolver/27-PartnerUnits";

# Find main loader 
$runtooldir="/home/aspcomp/run-environment/run-tool"; #$loadedir= abs_path(dirname($0));
$loader = "$runtooldir/loader.pl";
#print $loader;

# Get run parameters
if ($#ARGV < 2)
	{
	print "$0: MISSING ARGUMENT, CANNOT LOAD!\n";
	select STDERR;
	print "$0: MISSING ARGUMENT, CANNOT LOAD!\n";
	select STDOUT;
	exit(1);
	}

$instance = $ARGV[2]; 
$maxint=$ARGV[0];
$maxlevel=$ARGV[1];

system "$loader $solver $instance $maxint $maxlevel";
